Bug 166914 - Wireless connection is anomalously poor with 2.6.12 kernel
Wireless connection is anomalously poor with 2.6.12 kernel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-27 10:26 EDT by Mike Cohler
Modified: 2015-01-04 17:21 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-06 03:46:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Cohler 2005-08-27 10:26:31 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
Original problem seen in FC3 as below:

I have been successfully running FC3 on a machine with a Cisco aironet PCI card for some time. When the kernel was upgraded from 2.6.11 to 2.6.12 (all variants) the wireless connection which had previously been around 98% link quality (as seen on the Wireless Network Information icon in the KDE taskbar) dropped to around 30% with occasional network dropouts. This was reproducable with all the 2.6.12 kernels but when reverting to the last 2.6.11 kernel that was available before 2.6.12 was released, the wireless connection returned to being solid at 98% link quality.

Same problem exists after upgrade to FC4

I have now installed FC4 on this machine, and with the initial 2.6.11 kernel (kernel-2.6.11-1.1369_FC4) that came with the distro, the wireless link quality is around 98%.  After running the yum update to bring the system up to date, the wireless link quality again dropped to around 30% link quality (with a red bar in the display) once kernel-2.6.12-1.1398_FC4 was being used. Swapping back to the original 2.6.11 kernel restored the wireless link quality to 98%.  

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1398_FC4

How reproducible:
Always

Steps to Reproduce:
1. Start with FC4 running booted to kernel-2.6.11-1.1369_FC4 
2. Setup wireless connection for the Cisco aironet PCI card - note that it runs at high quality.
3. Now reboot to kernel-2.6.12-1.1398_FC4
4. With no other changes, note that wireless connection is now in the red at 30% link quality.
5. Re-boot back to the kernel-2.6.11-1.1369_FC4, and note that the original 98% link qulaity on the wireless connection has been restored.
  

Actual Results:  Wireless link quality was poor with the 2.6.12 kernel and excellent with the 2.6.11 kernel.  This is the same behaviour as with FC3 running 2.6.11 or 2.6.12 kernels and so seems to point at a kernel issue.

Expected Results:  There should be no change in wireless link quality.

Additional info:

The machine is running KDE fully up to date though this should not be relevant. Wireless link is measured on the Wireless Network Information Icon.

The wireless card shows up using lspci -v as:
00:0d.0 Network controller: AIRONET Wireless Communications PC4800 (rev 01)
        Flags: medium devsel, IRQ 5
        Memory at cfff6f80 (32-bit, non-prefetchable) [size=128]
        I/O ports at cc00 [size=128]
        I/O ports at c800 [size=64]

(There is also an ethernet card in the system which is not connected to any ethernet line, as no ethernet is available at that location, shows as:
00:04.0 Ethernet controller: Silicon Integrated Systems [SiS] SiS900 PCI Fast Ethernet (rev 90)
        Subsystem: Silicon Integrated Systems [SiS] SiS900 10/100 Ethernet Adapter
        Flags: bus master, medium devsel, latency 64, IRQ 5
        I/O ports at d400 [size=256]
        Memory at cfff7000 (32-bit, non-prefetchable) [size=4K]
        Expansion ROM at cffc0000 [disabled] [size=128K]
        Capabilities: [40] Power Management version 2

The two cards appear in the /etc/modprobe.conf file as:
alias eth0 airo
alias eth1 sis900
alias snd-card-0 snd-intel8x0
options snd-card-0 index=0
options snd-intel8x0 index=0
remove snd-intel8x0 { /usr/sbin/alsactl store 0 >/dev/null 2>&1 || : ; }; /sbin/
modprobe -r --ignore-remove snd-intel8x0
alias usb-controller ehci-hcd
alias usb-controller1 ohci-hcd

The wireless card is seen as eth0 in the /etc/sysconfig/hwconf file as:
class: NETWORK
bus: PCI
detached: 0
device: eth0
driver: airo
desc: "AIRONET Wireless Communications PC4800"
vendorId: 14b9
deviceId: 0350
subVendorId: 0000
subDeviceId: 0000
pciType: 1
pcidom:    0
pcibus:  0
pcidev:  d
pcifn:  0
Comment 1 Dave Jones 2005-09-30 03:24:50 EDT
Mass update to all FC4 bugs:

An update has been released (2.6.13-1.1526_FC4) which rebases to a new upstream
kernel (2.6.13.2). As there were ~3500 changes upstream between this and the
previous kernel, it's possible your bug has been fixed already.

Please retest with this update, and update this bug if necessary.

Thanks.
Comment 2 Mike Cohler 2005-09-30 04:34:39 EDT
Thanks Dave

I have re-booted to the new kernel and the system is running with the link
quality still far from the original 98% quality - however I shall see if the
link remains up over several days.

I have also had a look at the iwconfig command and interestingly it now shows
(with the MAC address removed by me):

lo        no wireless extensions.

Warning: Driver for device eth0 has been compiled with version 18
of Wireless Extension, while this program supports up to version 17.
Some things may be broken...

eth0      IEEE 802.11-DS  ESSID:"removed"  Nickname:"removed"
          Mode:Managed  Frequency:2.447 GHz  Access Point: <removed>
          Bit Rate:11 Mb/s   Tx-Power=17 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-**   Security mode:restricted
          Power Management:off
          Link Quality=50/100  Signal level=-70 dBm  Noise level=-101 dBm
          Rx invalid nwid:20  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:198   Missed beacon:0

wifi0     IEEE 802.11-DS  ESSID:"removed"  Nickname:"removed"
          Mode:Managed  Frequency:2.447 GHz  Access Point: <removed>
          Bit Rate:11 Mb/s   Tx-Power=17 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-**   Security mode:restricted
          Power Management:off
          Link Quality=50/100  Signal level=-70 dBm  Noise level=-101 dBm
          Rx invalid nwid:20  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:198   Missed beacon:0

The warning statement is interesting ! I am not sure what this implies?

Mike
Comment 3 Dave Jones 2005-09-30 05:11:32 EDT
The warning is usually harmless. Dan, I thought we relaxed that check ? Or does
it need tweaking again ?
Comment 4 Mike Cohler 2005-10-06 03:13:26 EDT
The wireless connection has now been running without problems for a week, and
the connection has not faltered even though the link quality has not changed. I
also note that the same warning comes up with iwconfig on a new Dell D610 laptop
with FC4 fully up to date running the Intel IPW2200 wifi system, when using the
same kernel.
Comment 5 Dave Jones 2005-10-06 03:46:23 EDT
ok, the first problem this bug reported sounds fixed. I imagine Dan will push
out a wireless-tools update fixing the warning msg some time soon.

thanks.
Comment 6 Mike Cohler 2005-10-30 13:20:02 EST
In the past week or so the (wifi) stability of the system with the latest kernel
2.6.13-1532 has been poor again and the network has been dropping out again... I
have reverted to the old 2.6.11 kernel which has a 98% link quality and stable
network connection with no interruptions at all.  

I wonder if there is a firmware change necessary that will play properly with
the later kernels ?

Comment 7 Mike Cohler 2005-10-31 11:41:16 EST
With 2.6.14 coming soon maybe this issue will be resolved soon. If not I will
report back after 2.6.14 is released
Comment 8 Mike Cohler 2005-11-01 04:05:08 EST
I have just tested with the new kernel 2.6.14-1.1633 for FC4 in updates testing.

The first part of iwconfig output now shows (with xxx replacing MAC and essid):


Warning: Driver for device eth0 has been compiled with version 19
of Wireless Extension, while this program supports up to version 17.
Some things may be broken...

eth0      IEEE 802.11-DS  ESSID:"xxx"  Nickname:"xxx"
          Mode:Managed  Frequency:2.447 GHz  Access Point: xx:xx:xx:xx:xx:xx
          Bit Rate:11 Mb/s   Tx-Power=17 dBm   Sensitivity=0/65535
          Retry limit:16   RTS thr:off   Fragment thr:off
          Encryption key:****-****-****-****-****-****-**   Security mode:restri
cted
          Power Management:off
          Link Quality=34/100  Signal level=-78 dBm  Noise level=-100 dBm
          Rx invalid nwid:10  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:753   Missed beacon:0

So the link quality remains - and also the signal level in the taskbar icon is
low and amber rather than high and green. The warning about Wireless extension
is also still there !

Please let me know if there is any other specific test that I can do to pin this
down ??

Thanks
Mike
Comment 9 Mike Cohler 2005-11-01 12:24:28 EST
I tried another test by installing the wireless-tools version pre10.4 in
updates-testing but unfortunately the KDE desktop taskbar crashed presumably due
to an incompatibility with the wireless network information icon. So I had to
revert to wireless-tools version pre4.3 using the rpm from the original FC4
release distro.

I wonder if the wireless-tools package has known problems and this is why it has
not moved to main updates yet.

I guess I could remove the network monitor from the taskbar and try again -
though if there is a better way to test it then this would be prefereable.
Comment 10 Mike Cohler 2005-11-08 10:29:35 EST
After installing the test kernel 2.6.14-1.1636_FC4, and with the new
wireless-tools version pre10.4 which came in via the main updates last night, (
and the wireless information applet in KDE had been removed to prevent the
problem in comment 9 above) the wireless connection was examined again. The
resulting iwconfig paragrah is now:

          Power Management:off
          Link Quality=37/100  Signal level=-77 dBm  Noise level=-101 dBm
          Rx invalid nwid:879  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:0  Invalid misc:744   Missed beacon:0

I will leave this running but with a link quality of 37/100 this is not ideal. 

Note You need to log in before you can comment on or make changes to this bug.